//===========================================================
//      BOBINES
//===========================================================
//#declare Textur =texture {pigment {color Clear} halo {linear max_value 1.0 spherical_mapping emitting turbulence 0
//colour_map {[0.0,1.0 color rgbt <1.0,0.0,0.0,1.0> color rgbt <1.0,1.0,0.0,0.0>]} samples 10}}
#declare bobine = union {
cylinder {<0,0,0>,<0,3,0>,1 texture {T_Copper_4C} normal {spiral1 70}} 
cylinder {<0,-.5,0>,<0,3.5,0>,.5 texture {T_Silver_5D}} 
cone {<0,3.5,0>,0,<0,4,0>,.5 texture {T_Gold_5D}}
cylinder {<0,4.5,0>,<0,4,0>,.5 texture {T_Silver_5D}}
box {<.1,4,.5>,<-.1,4.5,-2> texture {T_Grnt23}}
box {<.1,-1,-1.5>,<-.1,4.5,-2> texture {T_Grnt23}}
box {<.1,-1,.5>,<-.1,0,-2> texture {T_Grnt23}}}
#declare bobineS = union {
object {bobine translate z*-1.2}
object {bobine scale <1,1,-1> translate z*1.2}
//blob {threshold .6 cylinder {<0,-2,-1.2>,<0,4,-1.2>,2.5,1} cylinder {<0,-2,1.2>,<0,4,1.2>,2.5,1} 
//        scale 1/6 hollow texture {Textur finish {ambient 1}} scale 6}
}
//===========================================================
//      BOUTONS
//===========================================================
#declare bouton1= union {cylinder {<0,0,0>,<0,.2,0>,1}cone {<0,0,0>,.6,<0,1,0>,.4} pigment {White}}
#declare bouton2= union {cylinder {<0,0,0>,<0,.6,0>,.8 pigment {Black}}   cylinder {<0,0,0>,<0,.7,0>,.6 pigment {Red}}}   
#declare bouton3= union {box {<.5,0,.5>,<-.5,.5,-.5> pigment {Black}}
light_source {<0,.6,0> Yellow fade_distance .5 fade_power 2}box {<.4,0,.4>,<-.4,.8,-.4> pigment {Yellow filter .5}}}
//==============================================================
//      MICROPHONE
//==============================================================   
#declare MicMetalp   = color rgb <0.91, 0.95*.8, 0.91*.8>   
#declare MicMetalf  = finish {ambient 0.15 brilliance 5 diffuse 0.6 
metallic specular 0.30 roughness 1/100 reflection 0.65}
#declare MicMetal = texture { pigment { MicMetalp } finish { MicMetalf  } }
#declare microvoix = union {
difference {cone {<0,0,0>,23,<0,50,0>,30}plane {z,0 rotate x*30 translate z*5 inverse}
plane {z,0 rotate x*-30 translate z*-5}pigment {Gray20}
normal {quilted .5 control0 1 control1 1 scale 2}   }
cylinder {<0,50,0>,<0,53,0>,32 texture {MicMetal}}cylinder {<0,58,0>,<0,53,0>,30 texture {MicMetal}}
cone {<0,58,0>,28,<0,154,0>,23 texture {MicMetal}}cylinder {<0,154,0>,<0,165,0>,19 texture {MicMetal}}
cylinder {<0,180,0>,<0,165,0>,10 texture {MicMetal}}}
//==============================================================
//      SUSPENSION
//==============================================================   
#declare losange=intersection {
union {torus {sqrt(8) .05 rotate x*45}torus {sqrt(8) .05 rotate x*-45}
torus {sqrt(8) .05 rotate x*45 translate y*2}torus {sqrt(8) .05 rotate x*-45 translate y*2}}
cylinder {<0,-.1,0>,<0,2.1,0>,3} box {<0,2.1,-1>,<3,-.1,1>} scale <.8,1,2>
texture {T_Chrome_5E} translate y*-1}
#declare tendeurs=union {
cylinder {<0,0,0>,<.4,3,0>,.1}sphere {<.4,3,0>,.15}
sphere {<0,0,0>,.15} cylinder {<0,0,0>,<.4,-3,0>,.1}
sphere {<.4,-3,0>,.15} cylinder {<.4,3,0>,<-1.5,1,1.5>,.05 pigment {White}}
sphere {<-1.5,1,1.5>,.2}cylinder {<.4,3,0>,<-1.5,1,-1.5>,.05 pigment {White}}
sphere {<-1.5,1,-1.5>,.2}cylinder {<.4,-3,0>,<-1.5,-1,1.5>,.05 pigment {White}}
sphere {<-1.5,-1,1.5>,.2}cylinder {<.4,-3,0>,<-1.5,-1,-1.5>,.05 pigment {White}}
sphere {<-1.5,-1,-1.5>,.2} texture {T_Gold_5D} }
#declare suspension = union {
torus {3 .15 texture {T_Gold_5D}}  object {tendeurs translate x*3 rotate y*45}
object {tendeurs translate x*3 rotate y*135}object {tendeurs translate x*3 rotate y*225}
object {tendeurs translate x*3 rotate y*315}object {losange}
object {losange rotate y*90}object {losange rotate y*180}object {losange rotate y*270}}
//==============================================================
//      MICRO COMPLET
//==============================================================   
#declare microtout = union {object {suspension scale <15,15,15>}object {microvoix rotate x*180 translate y*120}}
//===========================================================
//      OSCILLOSCOPE
//===========================================================
#declare oscillo=
union {box {<0,0,0>,<5,.1,5> pigment {image_map {gif "d:\images\povstuff\oscillo.gif" } rotate x*90 scale 5}}
union {cylinder {<0,0,0>,<0,0,5>,.3 }cylinder {<0,0,0>,<5,0,0>,.3 }
cylinder {<5,0,5>,<0,0,5>,.3 }cylinder {<5,0,5>,<5,0,0>,.3 }
cylinder {<0,0,0>,<0,1,0>,.6 }cylinder {<5,0,5>,<5,1,5>,.6 }
cylinder {<0,0,5>,<0,1,5>,.6 }cylinder {<5,0,0>,<5,1,0>,.6 }
sphere {<0,1,0>,.4 }sphere {<5,1,5>,.4 }sphere {<0,1,5>,.4 }
sphere {<5,1,0>,.4 }texture {T_Chrome_5E}}}
//===========================================================
//      TUBE
//===========================================================
#declare ps = 15
#declare Miroir = texture {pigment {Gray70} finish {reflection 1 diffuse 0 ambient 0 phong_size ps phong .9}}
#declare Tubetex = texture {gradient y   texture_map {
[0 pigment {color rgbf <.8,.8,.8,.95>}finish {phong_size ps phong .9 reflection .3}]
[.7 pigment {color rgbf <.8,.8,.8,.95>}finish {phong_size ps phong .9 reflection .3}][.8 Miroir][1 Miroir]}}
#declare decoupe = cylinder {<1.1,1.5,0>,<1.1,4,0>,.25} #declare picot = cylinder {<.7,2.5,0>,<.7,3,0>,.05}
#declare plaquette = box {<.5,3,-.35>,<.51,6,.35>}#declare verre = merge {cylinder {<0,2.5,0>,<0,7,0>,1.1}
sphere {<0,7,0>,1.1} texture {Tubetex scale 9} }
#declare rondellescie =difference {cylinder {<0,3,0>,<0,3.05,0>,1}union {
cylinder {<0,2,0>,<0,4,0>,.5}object {decoupe} object {decoupe rotate <0,36,0>} 
object {decoupe rotate <0,72,0>} object {decoupe rotate <0,108,0>} object {decoupe rotate <0,144,0>} object {decoupe rotate <0,180,0>} 
object {decoupe rotate <0,216,0>} object {decoupe rotate <0,252,0>} object {decoupe rotate <0,288,0>} object {decoupe rotate <0,324,0>} }  texture {T_Silver_5D} }
#declare tube = union {cylinder {<1,0,0>,<1,1,0>,.1 texture {T_Chrome_5E}}
cylinder {<1,0,0>,<1,1,0>,.1 texture {T_Chrome_5E} rotate <0,120,0>}cylinder {<1,0,0>,<1,1,0>,.1 texture {T_Chrome_5E} rotate <0,240,0>}
cylinder {<0,1,0>,<0,2.5,0>,1.3 pigment {color rgb <1,1,.7>/2} finish {phong_size 15 phong .6} }
object {rondellescie}object {rondellescie translate <0,3,0>}object {verre}
union { object {picot rotate <0,0,0>} object {picot rotate <0,60,0>}
object {picot rotate <0,120,0>} object {picot rotate <0,180,0>}
object {picot rotate <0,240,0>} object {picot rotate <0,300,0>} texture {T_Chrome_5E}}
cylinder {<0,4,0>,<0,7,0>,.3 pigment {Orange filter .7} finish { ambient 4} }
light_source {<0,5.5,0> White fade_power 2 fade_distance 10} 
difference {union { object {plaquette rotate <0,0,0>} object {plaquette rotate <0,60,0>}
object {plaquette rotate <0,120,0>} object {plaquette rotate <0,180,0>}
object {plaquette rotate <0,240,0>} object {plaquette rotate <0,300,0>} }
union {sphere {<0,4.5,0>,.55} sphere {<0,3.5,0>,.55} }texture {T_Silver_5D}}}
//===========================================================
//      VUMETRE
//===========================================================
#declare vumetre=union {
cylinder {<0,0,0>,<0,.05,0>,2.5 pigment {image_map {gif "vu2.gif" once} 
rotate x*90 translate <-.5,0,-.5> rotate y*-90 scale 5}}
difference {sphere {<0,0,0>,2.8 scale <1,.2,1>}
difference {cylinder {<0,-1,0>,<0,1,0>,2.4} cylinder {<2.5,-1,0>,<2.5,1,0>,1.5}}
pigment {rgb <.1,0,0>} finish {phong_size 25 phong .9}}
sphere {<0,0,0>,2.75 scale <1,.2,1> pigment {Clear} finish {phong_size 25 phong .9} }
cylinder {<2.5,.2,0>,<-1.5,.2,1>,.05 pigment {Black}}
light_source {<1,.6,0> White*3 fade_distance 1 fade_power 2}
disc {<1,.7,0>,<0,1,0>,.3 pigment {White}}}
//===========================================================
//      OCTAVE DE TOUCHES
//===========================================================
#declare toucheb =
box {<0,0,.05>,<12,-2,1.95> texture {pigment {White} finish {phong .5 reflection .1}}  }
#declare touchen = box {<0,0,1.5>,<6,.5,2.5> texture {pigment {Black} finish {phong .9 reflection .1}} }
#declare octave = union { 
object {toucheb}object {toucheb translate <0,0,2>}object {toucheb translate <0,0,4>}
object {toucheb translate <0,0,6>}object {toucheb translate <0,0,8>}object {toucheb translate <0,0,10>}
object {toucheb translate <0,0,12>}
object {touchen}object {touchen translate <0,0,2>}object {touchen translate <0,0,6>}
object {touchen translate <0,0,8>}object {touchen translate <0,0,10>}}
//===========================================================
//      HAUT-PARLEUR
//===========================================================
#declare hp=
union {cylinder {<0,0,0>,<0,1,0>,2}
sphere {<0,2,0>,1}
cone {<0,1,0>,.5,<0,4,0>,3 open}
torus {3 .3 translate y*4}
pigment {rgb <.3,.4,.8>} finish {phong .6}}
